org.jbpm.workflow.instance.node

## Class SubProcessNodeInstance

- java.lang.Object
- - org.jbpm.workflow.instance.impl.NodeInstanceImpl
  - - org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
    - - org.jbpm.workflow.instance.node.StateBasedNodeInstance
      - - org.jbpm.workflow.instance.node.SubProcessNodeInstance

- All Implemented Interfaces:
    Serializable, ContextInstanceContainer, EventBasedNodeInstanceInterface, org.kie.api.runtime.process.EventListener, org.kie.api.runtime.process.NodeInstance

      public class SubProcessNodeInstance
      extends StateBasedNodeInstance
      implements org.kie.api.runtime.process.EventListener, ContextInstanceContainer

  Runtime counterpart of a SubFlow node.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `NodeInstanceImpl.NodeInstanceTrigger`

    - ### Nested classes/interfaces inherited from interface org.jbpm.workflow.instance.NodeInstance

      `NodeInstance.CancelType`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancelType, dynamicParameters, slaCompliance, slaDueDate, slaTimerId, triggerTime, UNIQUE_ID`

    - ### Fields inherited from interface org.jbpm.workflow.instance.NodeInstance

      `METADATA_WRAP_ASYNC_NODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubProcessNodeInstance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContextInstance(String contextId, ContextInstance contextInstance)`
    `void` | `addEventListeners()`
    `void` | `cancel(NodeInstance.CancelType cancelType)`
    `ContextContainer` | `getContextContainer()`
    `ContextInstance` | `getContextInstance(Context context)`
    `ContextInstance` | `getContextInstance(String contextId, long id)`
    `List<ContextInstance>` | `getContextInstances(String contextId)`
    `String[]` | `getEventTypes()`
    `String` | `getNodeName()`
    `long` | `getProcessInstanceId()`
    `protected Map<String,Object>` | `getSourceParameters(DataAssociation association)`
    `protected SubProcessNode` | `getSubProcessNode()`
    `void` | `internalSetProcessInstanceId(long processInstanceId)`
    `void` | `internalTrigger(org.kie.api.runtime.process.NodeInstance from, String type)`
    `void` | `processInstanceCompleted(ProcessInstance processInstance)`
    `void` | `removeContextInstance(String contextId, ContextInstance contextInstance)`
    `void` | `removeEventListeners()`
    `void` | `signalEvent(String type, Object event)`

    - ### Methods inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance

      `addTimerListener, checkDeclarationMatch, checkProcessInstance, configureSla, configureTimerInstance, createTimerInstance, getActivationType, getEventBasedNode, getTimerInstances, handleSLAViolation, internalSetTimerInstances, mapDynamicOutputData, registerBoundaryEvents, resolveVariable, triggerCompleted, triggerCompleted`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl

      `getExtendedNode, handleAssignment, mapOutputSetVariables, mapOutputSetVariables, triggerCompleted, triggerEvent`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancel, executeAction, followConnection, getCancelType, getExecutionErrorHandler, getFrom, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getProcessInstance, getSlaCompliance, getSlaDueDate, getSlaTimerId, getTriggerTime, getUniqueId, getVariable, internalSetSlaCompliance, internalSetSlaDueDate, internalSetSlaTimerId, isAborted, isInversionOfControl, resolveContext, resolveContextInstance, retrigger, setAborted, setDynamicParameters, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerConnection, triggerNode, triggerNode, triggerNodeInstance, triggerNodeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubProcessNodeInstance

          public SubProcessNodeInstance()

  - ### Method Detail

    - #### getSubProcessNode

          protected SubProcessNode getSubProcessNode()

    - #### internalTrigger

          public void internalTrigger(org.kie.api.runtime.process.NodeInstance from,
                                      String type)

      Overrides:
        `internalTrigger` in class `StateBasedNodeInstance`

    - #### cancel

          public void cancel(NodeInstance.CancelType cancelType)

      Overrides:
        `cancel` in class `StateBasedNodeInstance`

    - #### getProcessInstanceId

          public long getProcessInstanceId()

    - #### internalSetProcessInstanceId

          public void internalSetProcessInstanceId(long processInstanceId)

    - #### addEventListeners

          public void addEventListeners()

      Specified by:
        `addEventListeners` in interface `EventBasedNodeInstanceInterface`
      Overrides:
        `addEventListeners` in class `StateBasedNodeInstance`

    - #### removeEventListeners

          public void removeEventListeners()

      Specified by:
        `removeEventListeners` in interface `EventBasedNodeInstanceInterface`
      Overrides:
        `removeEventListeners` in class `StateBasedNodeInstance`

    - #### signalEvent

          public void signalEvent(String type,
                                  Object event)

      Specified by:
        `signalEvent` in interface `org.kie.api.runtime.process.EventListener`
      Overrides:
        `signalEvent` in class `StateBasedNodeInstance`

    - #### getEventTypes

          public String[] getEventTypes()

      Specified by:
        `getEventTypes` in interface `org.kie.api.runtime.process.EventListener`
      Overrides:
        `getEventTypes` in class `StateBasedNodeInstance`

    - #### processInstanceCompleted

          public void processInstanceCompleted(ProcessInstance processInstance)

    - #### getNodeName

          public String getNodeName()

      Specified by:
        `getNodeName` in interface `org.kie.api.runtime.process.NodeInstance`
      Overrides:
        `getNodeName` in class `NodeInstanceImpl`

    - #### getContextInstances

          public List<ContextInstance> getContextInstances(String contextId)

      Specified by:
        `getContextInstances` in interface `ContextInstanceContainer`

    - #### addContextInstance

          public void addContextInstance(String contextId,
                                         ContextInstance contextInstance)

      Specified by:
        `addContextInstance` in interface `ContextInstanceContainer`

    - #### removeContextInstance

          public void removeContextInstance(String contextId,
                                            ContextInstance contextInstance)

      Specified by:
        `removeContextInstance` in interface `ContextInstanceContainer`

    - #### getContextInstance

          public ContextInstance getContextInstance(String contextId,
                                                    long id)

      Specified by:
        `getContextInstance` in interface `ContextInstanceContainer`

    - #### getContextInstance

          public ContextInstance getContextInstance(Context context)

      Specified by:
        `getContextInstance` in interface `ContextInstanceContainer`

    - #### getContextContainer

          public ContextContainer getContextContainer()

      Specified by:
        `getContextContainer` in interface `ContextInstanceContainer`

    - #### getSourceParameters

          protected Map<String,Object> getSourceParameters(DataAssociation association)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.